# Class SendMailFactory

java.lang.Object
org.apache.naming.factory.SendMailFactory

All Implemented Interfaces:
  `ObjectFactory`

public class SendMailFactory extends Object implements ObjectFactory
Factory class that creates a JNDI named javamail MimePartDataSource object which can be used for sending email using SMTP.

Can be configured in the Context scope of your server.xml configuration file.

Example:

    <Resource name="mail/send"
              auth="CONTAINER"
              type="jakarta.mail.internet.MimePartDataSource"
              factory="org.apache.naming.factory.SendMailFactory"
              mail.smtp.host="your.smtp.host"
              mail.smtp.user="someuser"
              mail.from="someuser@some.host"
              mail.smtp.sendpartial="true"
              mail.smtp.dsn.notify="FAILURE"
              mail.smtp.dsn.ret="FULL"
              />

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final String`
`DataSourceClassName`

## Constructor Summary

Constructors
Constructor
Description
`SendMailFactory()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getObjectInstance(Object refObj, Name name, Context ctx, Hashtable<?,?> env)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DataSourceClassName

protected static final String DataSourceClassName

See Also:
  - Constant Field Values

## Constructor Details

### SendMailFactory

public SendMailFactory()

## Method Details

### getObjectInstance

public Object getObjectInstance(Object refObj, Name name, Context ctx, Hashtable<?,?> env) throws Exception

Specified by:
  `getObjectInstance` in interface `ObjectFactory`
Throws:
  `Exception`